al_ustr_to_buffer(3)

NAME

al_ustr_to_buffer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_ustr_to_buffer(const ALLEGRO_USTR *us, char *buffer, int size)

DESCRIPTION

Write the contents of the string into a pre-allocated buffer of the given size in bytes. The result will always be NUL terminated, so a maximum of size - 1 bytes will be copied.

SEE ALSO

al_cstr(3), al_cstr_dup(3)